# [Argon Dashboard](https://app-generator.dev/product/argon-dashboard/) Django Integration

Modern template for **Django** built with **[Argon Dashboard](https://app-generator.dev/product/argon-dashboard/)**, an open-source `Bootstrap` UI Kit released by [Creative-Tim](https://app-generator.dev/agency/creative-tim/).

- [Django Admin Argon](https://app-generator.dev/docs/products/django-libs/theme-argon-dashboard.html) - Documentation & Support Links
- [Django Argon Dashboard](https://app-generator.dev/product/argon-dashboard/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## Features

- [Argon Dashboard](https://app-generator.dev/product/argon-dashboard/) Design Integration
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

## [Argon Dashboard](https://app-generator.dev/product/argon-dashboard/) Starters

Pre-built starters for coding dashboards and services (APIs, DataTables) with speed.

### [Django Argon Dashboard](https://app-generator.dev/product/argon-dashboard/django/)

> The FREE Version (MIT License) - [Live Demo](https://django-argon-dash2.onrender.com/).

- Simple, Easy-to-Extend codebase
- [Argon Dashboard](https://app-generator.dev/product/argon-dashboard/) 
- [Bootstrap](https://app-generator.dev/docs/templates/bootstrap.html) CSS Styling 
- Dynamic Tables - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-datatables.html)
- Dynamic API - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-api.html)
- Charts
- [Django CLI Package](https://app-generator.dev/docs/developer-tools/django-cli/index.html)
    - [Commit/rollback Git Changes](https://app-generator.dev/docs/developer-tools/django-cli/git-interface.html)
    - `Backup & restore DB`
    - [Interact with Django Core](https://app-generator.dev/docs/developer-tools/django-cli/query-django.html)
    - `Manage Environment`
    - `Manage Dependencies`
- Session-based Authentication, Password recovery
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker, CI/CD for Render
- [Vite](https://app-generator.dev/docs/technologies/vite/index.html) for assets management 

![Django Argon Dashboard - Modern template for Django Admin Section crafted on top of a modern Bootstrap Design.](https://github.com/user-attachments/assets/f2a12c84-e752-4c36-bb90-7bf7cf63b80c)

<br />

### [Django Argon Dashboard PRO](https://app-generator.dev/product/argon-dashboard-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-argon-dash2-pro.onrender.com/automotive/).

- Simple, Easy-to-Extend Codebase
- [Argon Dashboard](https://app-generator.dev/product/argon-dashboard/) PRO Design Integration 
- Bootstrap Styling 
- Dynamic Tables - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-datatables.html)
- Dynamic API - read [docs](https://app-generator.dev/docs/developer-tools/dynamic-api.html)
- Charts
- Session-based Authentication, Password recovery
- OAuth (GitHub & Google)
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- [Django CLI Package](https://app-generator.dev/docs/developer-tools/django-cli/index.html)
    - [Commit/rollback Git Changes](https://app-generator.dev/docs/developer-tools/django-cli/git-interface.html)
    - `Backup & restore DB`
    - [Interact with Django Core](https://app-generator.dev/docs/developer-tools/django-cli/query-django.html)
    - `Manage Environment`
    - `Manage Dependencies`
- Session-based Authentication, Password recovery
- DB Persistence: SQLite (default), can be used with MySql, PgSql
- Docker, CI/CD for Render
- [Vite](https://app-generator.dev/docs/technologies/vite/index.html) for assets management 

![Django Argon Dashboard - The premium version](https://github.com/user-attachments/assets/e2bca541-ed94-4369-8ab7-361a7f112e69)

<br />

## `Customize` with [Django App Generator](https://app-generator.dev/tools/django-generator/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

![Django Generator - User Interface for choosing the Design](https://github.com/user-attachments/assets/b989c434-1c53-49ff-8dda-b46dbfc142ac) 

![Django App Generator - User Interface for Edit the Extended User Model](https://github.com/user-attachments/assets/f1a5fb68-a5ba-49c9-a3ae-91716de09912) 

<br />

---
**[Argon Dashboard](https://app-generator.dev/product/argon-dashboard/)** Django Integration - Library provided by **[App-Generator](https://app-generator.dev)**.
